+=======================================================
+
+ Vectric Maschinenausgabe-Konfigurationsdatei
+ Post-Prozessor fr Aspire ab Version 9.5
+ Post-Prozessor fr EdingCNC(V4)
+
+=======================================================
+
+ History
+
+ wer      DD/MM/JJJJ   was
+ ======== ===========  ================================
+ DJ-Bino  23/12/2013   PP geschrieben
+ DJ-Bino  23/12/2013   Kreisbgen u. Kreise hinzugefgt
+ DJ-Bino  23/12/2013   Kpl. berarbeitet fr EdingCNC(V4)
+ DJ-Bino  06/07/2014   Drezahlnderungen ausgeben 
+ DJ-Bino  06/07/2014   Verweilzeiten ausgeben 
+ DJ-Bino  17/05/2018   Werkzeugnamenausgabe 
+ DJ-Bino  14/09/2018   Helix bewegungen G02/G03 hinzugefgt
+ DJ-Bino  19/06/2020	Sicherheitsfunktion G53/G28 hinzugefgt
+=======================================================

POST_NAME = "1 SOROTEC-EDINGCNC V1_12 (*.nc)"

FILE_EXTENSION = "NC"

UNITS = "MM"

RAPID_PLUNGE_TO_STARTZ = "YES"


+------------------------------------------------
+    Satzende Zeichen
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Satz Nummerierung
+------------------------------------------------

LINE_NUMBER_START     = 5
LINE_NUMBER_INCREMENT = 5
LINE_NUMBER_MAXIMUM = 9999999

+================================================
+
+    Variablen formatieren ( zuweisen )
+
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.3]
VAR Y_POSITION = [Y|C|Y|1.3]
VAR Z_POSITION = [Z|C|Z|1.3]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.3]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.3]
VAR DWELL_TIME = [DWELL|A|P|1.2]
+================================================
+
+  Definition der NC-Stze fr die Werkzeug-Wege
+
+================================================

+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Anfang )
+---------------------------------------------------

begin HEADER
"%"
" G00 G21 G40 G54 G49"
" G17 G80 G90 G94 G99"
" G64 P0.1 R5 S90 D0.01"
" ( Prog-Name: [TP_FILENAME][TP_EXT] )"
" (************* Aspire *************)"
" (  Rohteil-Abmessungen in  X  Y  Z    )"
" (  X Breite = [XLENGTH] )"
" (  Y Lnge  = [YLENGTH] )"
" (  Z Hhe   = [ZLENGTH] )"
" (++++++++++++++++++++++++++++++++++++++)"
" (   Nullpunkt-Lage im Rohteil X Y Z    )"
" (  X Min = [XMIN]    X Max = [XMAX] )"
" (  Y MIN = [YMIN]    Y Max = [YMAX] )"
" (  Z Min = [ZMIN]    Z Max = [ZMAX] )"
" (**************************************)"
" (  Ausgangs Position X Y Z             )"
" (  X = [XH] Y = [YH] Z = [ZH] )"
" (  Sicherheits-Hhe in Z               )"
" (  Z = [SAFEZ] )"
" (++++++++++++++++++++++++++++++++++++++)"
" (        PP Ausgabe fr EdingCNC       )"
" (    *** -- Werkzeugwechsel: -- ***    )"
" ( Bearbeitung:      [TOOLPATH_NAME] )"
" ( Werkzeugname:     [TOOLNAME] )"
" ( Werkzeugnummer:   T[T] )"
" ( Vorschub:         [FC] mm/min )"
" ( Eintauch-Geschw.: [FP] mm/min )"
" ( Spindeldrehzahl:  [S] U/min )"
" G00 G53 Z0"
" Msg[34] Bitte Werkzeug T[T] [TOOLNAME] einwechseln [34] "
" T[T] M06"
" G43 H[T]"
" Msg[34] Bitte Werkzeug T[T] [TOOLNAME] einwechseln [34] "
" [S] M03"
" Msg[34] Bearbeitung: [TOOLPATH_NAME] [34] "
" Msg[34] Werkzeugname: [TOOLNAME] [34] "
" Msg[34] Werkzeugnummer: T[T] [34] "
" G00 [XH] [YH]"
" G00 [ZH]"
" M07"
+---------------------------------------------------
+  Defenition des Werkzeugwechsels
+---------------------------------------------------

begin TOOLCHANGE
" (    *** -- Werkzeugwechsel: -- ***    )"
" ( Bearbeitung:         [TOOLPATH_NAME] )"
" ( Werkzeugname:        [TOOLNAME] )"
" ( Werkzeugnummer:      T[T] )"
" ( Vorschub:            [FC] mm/min )"
" ( Eintauch-Geschw.:    [FP] mm/min )"
" ( Spindeldrehzahl:     [S] U/min )"
" ( Vorheriges Werkzeug: T[TP] )"
" Msg[34] Bitte Werkzeug T[T] [TOOLNAME] einwechseln [34] "
" T[T] M06"
" G43 H[T]"
" Msg[34] Bitte Werkzeug T[T] [TOOLNAME] einwechseln [34] "
" [S] M03"
" Msg[34] Bearbeitung: [TOOLPATH_NAME] [34] "
" Msg[34] Werkzeugname: [TOOLNAME] [34] "
" Msg[34] Werkzeugnummer: T[T] [34] "
" G00 [XH] [YH]"
" G00 [ZH]"
" M07"


+---------------------------------------------------
+  Definition Verfahrwege im Eilgang
+---------------------------------------------------

begin RAPID_MOVE

" G00 [X] [Y] [Z]"


+---------------------------------------------------
+  1. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FIRST_FEED_MOVE

" G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  2. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FEED_MOVE

" G01 [X] [Y] [Z]"

+---------------------------------------------------
+  1. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

" G02 [X] [Y] [I] [J] [F]"

+---------------------------------------------------
+  2. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin CW_ARC_MOVE

" G02 [X] [Y] [I] [J]"

+---------------------------------------------------
+  1. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

" G03 [X] [Y] [I] [J] [F]"

+---------------------------------------------------
+  2. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------

begin CCW_ARC_MOVE

" G03 [X] [Y] [I] [J]"

+---------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis im Uhrzeigersinn
+---------------------------------------------------------
begin FIRST_CW_HELICAL_ARC_MOVE

" G02 [X] [Y] [I] [J] [Z] [F]"

+---------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis im Uhrzeigersinn
+---------------------------------------------------------
begin CW_HELICAL_ARC_MOVE

" G02 [X] [Y] [I] [J] [Z]"

+---------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------------
begin FIRST_CCW_HELICAL_ARC_MOVE

" G03 [X] [Y] [I] [J] [Z] [F]"

+---------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------------------
begin CCW_HELICAL_ARC_MOVE

" G03 [X] [Y] [I] [J] [Z]"

+--------------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis Eintauchen im Uhrzeigersinn
+--------------------------------------------------------------------
begin FIRST_CW_HELICAL_ARC_PLUNGE_MOVE

" G02 [X] [Y] [I] [J] [Z] [F]"

+--------------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis Eintauchen im Uhrzeigersinn
+--------------------------------------------------------------------
begin CW_HELICAL_ARC_PLUNGE_MOVE

" G02 [X] [Y] [I] [J] [Z]"

+--------------------------------------------------------------------------
+  1. Definition Verfahrwege Helix-Kreis Eintauchen im Gegen-Uhrzeigersinn
+--------------------------------------------------------------------------
begin FIRST_CCW_HELICAL_ARC_PLUNGE_MOVE

" G03 [X] [Y] [I] [J] [Z] [F]"

+--------------------------------------------------------------------------
+  2. Definition Verfahrwege Helix-Kreis Eintauchen im Gegen-Uhrzeigersinn
+--------------------------------------------------------------------------
begin CCW_HELICAL_ARC_PLUNGE_MOVE

" G03 [X] [Y] [I] [J] [Z]"

+----------------------------------------------------------
+  Ausgabe fr neue Segmente - Werkzuegwege mit der selben
+  WerkzuegNr. und genderten Drehzahl
+---------------------------------------------------

begin NEW_SEGMENT

" ( Spindeldrehzahl:     [S] U/min )"
" [S] M03"
" Msg[34] Bearbeitung: [TOOLPATH_NAME] [34] "
" Msg[34] Werkzeugname: [TOOLNAME] [34] "
" Msg[34] Werkzeugnummer: T[T] [34] "

+----------------------------------------------------
+  Ausgabe fr alle Verweilzeiten
+----------------------------------------------------

begin DWELL_MOVE

"G04 [DWELL]"

+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Ende )
+---------------------------------------------------

begin FOOTER

" ( Grundstellung anfahren )"
" G00 G40 [ZH]"
" G00 [XH] [YH]"
" M05 M09"
" Msg[34] Parkposition 1 wird angefahren [34] "
" G28 ( Parkposition 1 anfahren )"
" Msg[34] Parkposition 1 wird angefahren [34] "
" M30 ( Programm Ende )"
"%"
